# SBC11 - List seller billing cycles

DescriptionThis resource uses seek pagination. The maximum allowed value for parameter limit is 1000.
Call FrequencyRecommended usage: Once per day and as many times as there are billing cycle pages returnedMaximum usage: Once per day and as many times as there are billing cycle pages returnedPaginationThis resource supports seek pagination (see documentation)Sort fieldssort field can have the following values:dateCreated (Default) - Sort by creation date (asc by default)

Endpoint: GET /api/seller-billing-cycles
Security: Shop-API-Key

## Security:

  - `Shop-API-Key` (unknown)
    apiKey in header Authorization scopes: ROLE_SHOP_ADMIN, ROLE_PARTNER_SELLER_BILLING_CYCLE_READ, ROLE_PARTNER_ACCOUNTING_DOCUMENT_READ

## Query parameters:

  - `currency` (array)
    Currency for filtering. This parameter can be supplied multiple times.

  - `end_date` (string)
    Creation date used as the maximum value for filtering (inclusive)

  - `id` (array)
    Seller billing cycle IDs for filtering. This parameter can be supplied multiple times.

  - `pay_out_psp_code` (array)
    A comma-separated list of pay-out PSP codes for filtering. This parameter requires the Hybrid pay-out PSP feature to be enabled.

  - `pay_out_state` (array)
    Pay-out state for filtering. This parameter can be supplied multiple times.

  - `start_date` (string)
    Creation date used as the minimum value for filtering (inclusive)

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `data` (array, required)
    Page of data

  - `data.amount_transferred_to_operator` (number)
    Total amount to be transferred to the operator

  - `data.amount_transferred_to_seller` (number)
    Total amount to be transferred to the seller

  - `data.currency_iso_code` (string)
    The currency of the shop
Enum: `"AED"`, `"ARS"`, `"AUD"`, `"BAM"`, `"BGN"`, `"BHD"`, `"BRL"`, `"CAD"`, `"CHF"`, `"CLP"`, `"CNY"`, `"COP"`, `"CZK"`, `"DKK"`, `"EGP"`, `"EUR"`, `"GBP"`, `"GEL"`, `"GTQ"`, `"HKD"`, `"HRK"`, `"HUF"`, `"IDR"`, `"ILS"`, `"INR"`, `"IQD"`, `"JOD"`, `"JPY"`, `"KES"`, `"KRW"`, `"KWD"`, `"LKR"`, `"MAD"`, `"MGA"`, `"MXN"`, `"MYR"`, `"NGN"`, `"NOK"`, `"NZD"`, `"OMR"`, `"PEN"`, `"PHP"`, `"PKR"`, `"PLN"`, `"QAR"`, `"RON"`, `"RSD"`, `"RUB"`, `"SAR"`, `"SEK"`, `"SGD"`, `"TND"`, `"TRY"`, `"THB"`, `"TWD"`, `"UAH"`, `"USD"`, `"UYU"`, `"UZS"`, `"VND"`, `"ZAR"`

  - `data.date_created` (string)
    Seller billing cycle creation date

  - `data.id` (string)
    Seller billing cycle identifier

  - `data.pay_out` (object)

  - `data.pay_out.failure_reason` (string)
    Pay-out failure reason, present only when state is FAILED
Enum: `"INCOMPLETE_KYC"`, `"AWAITING_INVOICE_CHECK"`

  - `data.pay_out.reference` (string)
    Pay-out reference, present only when state is PAID

  - `data.pay_out.state` (string)
    Pay-out state
Enum: `"TO_PAY"`, `"PAID"`, `"FAILED"`

  - `data.pay_out.transaction_date` (string)
    Pay-out transaction date, present only when state is PAID

  - `data.pay_out_psp_code` (string)
    PSP code for Pay-out
Enum: `"NOT_SPECIFIED"`, `"MANGOPAY"`, `"MIRAKL_PAYOUT"`, `"OPERATOR"`

  - `data.payment_voucher_number` (string)
    The payment voucher number

  - `data.shop` (object)

  - `data.shop.shop_corporate_name` (string)
    Shop corporate name

  - `data.shop.shop_id` (integer)
    Shop identifier

  - `data.shop.shop_model` (string)
    Shop model
Enum: `"MARKETPLACE"`, `"DROPSHIP"`, `"ONE_CREDITOR"`

  - `data.shop.shop_name` (string)
    Shop name

  - `data.shop.shop_operator_internal_id` (string)
    Operator internal id for the shop

  - `data.summary` (object)

  - `data.summary.total_commissions_excl_tax` (number)
    Total amount of commissions (excluding taxes on orders)

  - `data.summary.total_commissions_incl_tax` (number)
    Total amount of commissions (including taxes on orders)

  - `data.summary.total_fee_excl_tax` (number)
    Total amount of fees (excluding taxes on orders)

  - `data.summary.total_fee_incl_tax` (number)
    Total amount of fees (including taxes on orders)

  - `data.summary.total_fee_operator_remitted_excl_tax` (number)
    Total amount of fees remitted by the operator (excluding taxes on orders)

  - `data.summary.total_fee_operator_remitted_incl_tax` (number)
    Total amount of fees remitted by the operator (including taxes on orders)

  - `data.summary.total_mirakl_ads_credit_excl_tax` (number)
    Total amount for Mirakl Ads credits of a payment cycle (excluding taxes on stores)

  - `data.summary.total_mirakl_ads_credit_incl_tax` (number)
    Total amount for Mirakl Ads credits of a payment cycle (including taxes on stores)

  - `data.summary.total_mirakl_ads_debit_excl_tax` (number)
    Total amount for Mirakl Ads debits of a payment cycle (excluding taxes on stores)

  - `data.summary.total_mirakl_ads_debit_incl_tax` (number)
    Total amount for Mirakl Ads debits of a payment cycle (including taxes on stores)

  - `data.summary.total_non_payable_orders_excl_tax` (number)
    Total amount for non payable orders (including shipping charges and excluding taxes on orders)

  - `data.summary.total_non_payable_orders_incl_tax` (number)
    Total amount for non payable orders (including shipping charges and taxes on orders)

  - `data.summary.total_operator_paid_shipping_charges_excl_tax` (number)
    Total amount of shipping charges paid by the operator (excluding taxes on orders)

  - `data.summary.total_operator_paid_shipping_charges_incl_tax` (number)
    Total amount of shipping charges paid by the operator (including taxes on orders)

  - `data.summary.total_operator_remitted_taxes` (number)
    Total amount for order taxes remitted by the operator

  - `data.summary.total_other_credits_excl_tax` (number)
    Total amount for other manual credits of a payment cycle (excluding taxes on stores)

  - `data.summary.total_other_credits_incl_tax` (number)
    Total amount for other manual credits of a payment cycle (including taxes on stores)

  - `data.summary.total_other_invoices_excl_tax` (number)
    Total amount for other manual invoices of a payment cycle (excluding taxes on stores)

  - `data.summary.total_other_invoices_incl_tax` (number)
    Total amount for other manual invoices of a payment cycle (including taxes on stores)

  - `data.summary.total_payable_orders_excl_tax` (number)
    Total amount for payable orders including shipping charges (excluding taxes on orders)

  - `data.summary.total_payable_orders_incl_tax` (number)
    Total amount for payable orders including taxes (including taxes on orders)

  - `data.summary.total_purchase_taxes` (number)
    Total amount for purchase taxes

  - `data.summary.total_refund_commissions_excl_tax` (number)
    Total amount of refunded commissions (excluding taxes on orders)

  - `data.summary.total_refund_commissions_incl_tax` (number)
    Total amount of refunded commissions (including taxes on orders)

  - `data.summary.total_refund_fee_excl_tax` (number)
    Total amount of refunded fees (excluding taxes on orders)

  - `data.summary.total_refund_fee_incl_tax` (number)
    Total amount of refunded fees (including taxes on orders)

  - `data.summary.total_refund_fee_operator_remitted_excl_tax` (number)
    Total amount of refunded fees remitted by the operator (excluding taxes on orders)

  - `data.summary.total_refund_fee_operator_remitted_incl_tax` (number)
    Total amount of refunded fees remitted by the operator (including taxes on orders)

  - `data.summary.total_refund_non_payable_orders_excl_tax` (number)
    Total amount refunded for non payable orders (including shipping charges and excluding taxes on orders)

  - `data.summary.total_refund_non_payable_orders_incl_tax` (number)
    Total amount refunded for non payable orders (excluding shipping charges and including taxes on orders)

  - `data.summary.total_refund_operator_paid_shipping_charges_excl_tax` (number)
    Total amount of refunded shipping charges paid by the operator (excluding taxes on orders)

  - `data.summary.total_refund_operator_paid_shipping_charges_incl_tax` (number)
    Total amount of refunded shipping charges paid by the operator (including taxes on orders)

  - `data.summary.total_refund_operator_remitted_taxes` (number)
    Total amount of refunded taxes remitted by the operator

  - `data.summary.total_refund_orders_excl_tax` (number)
    Total amount of refunded orders (excluding all refunded taxes)

  - `data.summary.total_refund_orders_incl_tax` (number)
    Total amount of refunded orders (including all refunded taxes)

  - `data.summary.total_refund_payable_orders_excl_tax` (number)
    Total amount refunded for payable orders (excluding taxes on orders)

  - `data.summary.total_refund_payable_orders_incl_tax` (number)
    Total amount refunded for payable orders (including taxes on orders)

  - `data.summary.total_refund_purchase_taxes` (number)
    Total amount of refunded purchase taxes

  - `data.summary.total_seller_fees_on_orders_excl_tax` (number)
    Total amount of seller fees on orders (excluding taxes on orders)

  - `data.summary.total_seller_fees_on_orders_incl_tax` (number)
    Total amount of seller fees on orders (including taxes on orders)

  - `data.summary.total_seller_penalty_fees_excl_tax` (number)
    Total amount of seller penalty fees (excluding taxes on orders)

  - `data.summary.total_seller_penalty_fees_incl_tax` (number)
    Total amount of seller penalty fees (including taxes on orders)

  - `data.summary.total_subscription_excl_tax` (number)
    Total amount of subscription fees (excluding taxes on stores)

  - `data.summary.total_subscription_incl_tax` (number)
    Total amount of subscription taxes (including taxes on stores)

  - `next_page_token` (string)
    Token to access the next page. Absent if the current page is the last one.

  - `previous_page_token` (string)
    Token to access the previous page. Absent if the current page is the first one.

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

